apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  annotations:
    myks.dev/environment: production
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  name: app-production-grafana
  namespace: argocd
spec:
  destination:
    namespace: grafana
    server: https://kubernetes.default.svc
  project: env-production
  source:
    path: rendered/envs/production/grafana
    repoURL: ssh://git@git.tr1ceracop.de:222/gitea_admin/k8s-and-chill.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
